

data:extend{
  {
    type = "recipe",
    name = "steel-box",
    energy_required = 5,
    ingredients =
    {
      {"steel-plate", 4},
      {"plastic-bar",1}
    },
    result = "steel-box",
    enabled = "false"
  },
  {
    type = "item",
    name = "steel-box",
    flags = {"goes-to-main-inventory"},
    icon = "__boxing__/graphics/icons/steel-box.png",
    subgroup = "storage",
    order = "b[box]-a[empty]",
    stack_size = 10
  },
  {
    type = "item-subgroup",
    name = "boxing",
    group = "intermediate-products",
    order = "db"
  },
}

local itemsToBeBoxed={
  {
    name='iron-ore',
    count=50,
    boxorder='d',
    unboxorder='e'
  },
  {
    name='copper-ore',
    count=50,
    boxorder='f',
    unboxorder='g'
  },
  {
    name='iron-plate',
    count=100,
    boxorder='h',
    unboxorder='i'
  },
  {
    name='copper-plate',
    count=100,
    boxorder='j',
    unboxorder='k'
  },
  {
    name='copper-cable',
    count=200,
    boxorder='l',
    unboxorder='m'
  },
  {
    name='electronic-circuit',
    count=200,
    boxorder='n',
    unboxorder='o'
  },
  {
    name='plastic-bar',
    count=200,
    boxorder='p',
    unboxorder='q'
  }
}

local boxingEffects={
  {
    type = "unlock-recipe",
    recipe = "steel-box"
  },
}

for i=1,#itemsToBeBoxed do
  local item=itemsToBeBoxed[i]
  local name=item.name
  local count=item.count
  local boxorder=item.boxorder
  local unboxorder=item.unboxorder
  data:extend{
    {
      type = "recipe",
      name = "box-"..name,
      energy_required = 1,
      category = "advanced-crafting",
      subgroup = "boxing",
      order = boxorder.."[box-"..name.."]",
      ingredients =
      {
        {name, count},
        {"steel-box", 1},
      },
      icon = "__boxing__/graphics/icons/box-"..name..".png",
      result = "box-of-"..name,
      enabled = "false"
    },
    {
      type = "recipe",
      name = "unbox-"..name,
      category = "advanced-crafting",
      energy_required = 1,
      subgroup = "boxing",
      order = unboxorder.."[ubox-"..name.."]",
      enabled = "false",
      icon = "__boxing__/graphics/icons/unbox-"..name..".png",
      ingredients =
      {
        {type="item", name="box-of-"..name, amount=1}
      },
      results=
      {
       {type="item", name=name, amount=count},
        {type="item", name="steel-box", amount=1}
      }
    },
    {
      type = "item",
      flags = {"goes-to-main-inventory"},
      name = "box-of-"..name,
      icon = "__boxing__/graphics/icons/box-of-"..name..".png",
      subgroup = "storage",
      order = "b[box]-"..boxorder.."["..name.."]",
      stack_size = 10
    },
  }
  table.insert(boxingEffects,
  {
    type = "unlock-recipe",
    recipe = "box-"..name
  })
  table.insert(boxingEffects,
  {
    type = "unlock-recipe",
    recipe = "unbox-"..name
  })
end


data:extend{
  {
    type = "technology",
    name = "boxing",
    icon = "__boxing__/graphics/icons/boxing-tech.png",
    prerequisites = {"logistics-3"},
    unit =
    {
      count = 150,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },
      time = 30
    },
    effects = boxingEffects,
    order = "d-e",
  },
}
